package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.DealStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(student_withdraw):
 */
public class StudentWithdraw {

	/** 提现流水号 */
	@ApiModelProperty(value = "提现流水号",required = false)
	private String id;
	
	/** 用户编号 */
	@ApiModelProperty(value = "用户编号",required = false)
	private Long userId;
	
	/** 银行卡号 */
	@ApiModelProperty(value = "银行卡号",required = false)
	private String bankCardNo;
	
	/** 银行流水号 */
	@ApiModelProperty(value = "银行流水号",required = false)
	private String transNo;
	
	/** 交易状态(1,交易中;2,成功交易;3,交易失败;4,交易关闭) */
	@ApiModelProperty(value = "交易状态",required = false)
	private DealStatusEnum status;
	
	/** 提现金额 */
	@ApiModelProperty(value = "提现金额",required = false)
	private BigDecimal amount;
	
	/** 用户承担的费用（单位：分） */
	@ApiModelProperty(value = "用户承担的费用",required = false)
	private BigDecimal feeUser;
	
	/** 平台承担的费用（单位：分） */
	@ApiModelProperty(value = "平台承担的费用",required = false)
	private BigDecimal feePlatform;
	
	/** 描述 */
	@ApiModelProperty(value = "描述",required = false)
	private String description;
	
	/** 备注 */
	@ApiModelProperty(value = "备注",required = false)
	private String comment;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 修改时间 */
	private java.util.Date modifyTime;
	
	public void setId(String id){
		this.id = id;
	}
	
	public String getId(){
		return this.id;
	}
			
	public void setUserId(Long userId){
		this.userId = userId;
	}
	
	public Long getUserId(){
		return this.userId;
	}
			
	public void setBankCardNo(String bankCardNo){
		this.bankCardNo = bankCardNo;
	}
	
	public String getBankCardNo(){
		return this.bankCardNo;
	}
			
	public void setTransNo(String transNo){
		this.transNo = transNo;
	}
	
	public String getTransNo(){
		return this.transNo;
	}

	public DealStatusEnum getStatus() {
		return status;
	}

	public void setStatus(DealStatusEnum status) {
		this.status = status;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public BigDecimal getFeeUser() {
		return feeUser;
	}

	public void setFeeUser(BigDecimal feeUser) {
		this.feeUser = feeUser;
	}

	public BigDecimal getFeePlatform() {
		return feePlatform;
	}

	public void setFeePlatform(BigDecimal feePlatform) {
		this.feePlatform = feePlatform;
	}

	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	public void setComment(String comment){
		this.comment = comment;
	}
	
	public String getComment(){
		return this.comment;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setModifyTime(java.util.Date modifyTime){
		this.modifyTime = modifyTime;
	}
	
	public java.util.Date getModifyTime(){
		return this.modifyTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
